﻿# Declare all the variables and specify their values
$subscriptionName = "Visual Studio Ultimate with MSDN"
$clusterName = "tyhdicluster"

# Create an external table based on sample data
$queryString = "CREATE EXTERNAL TABLE log4jLogs ( col1 string, col2 string, col3 string, col4 string, col5 string, col6 string, col7 string ) ROW FORMAT DELIMITED  FIELDS TERMINATED BY ' ' STORED AS TEXTFILE LOCATION 'wasb:///example/data/';"

# Create a Hive job definition for 
# external table creation
$myHiveJobDefinition = New-AzureHDInsightHiveJobDefinition -Query $queryString

# Submit the job to the cluster
# for external table creation asynchronously
Select-AzureSubscription $subscriptionName
Write-Host "Submit the Hive job to the cluster : $clusterName !" 
$myHiveJob = Start-AzureHDInsightJob -Cluster $clusterName `
    -JobDefinition $myHiveJobDefinition

# Wait for the Hive job to complete
Wait-AzureHDInsightJob -Job $myHiveJob -WaitTimeoutInSeconds 3600

# Print the standard error and the standard output of the Hive job.
Get-AzureHDInsightJobOutput -Cluster $clusterName `
    -JobId $myHiveJob.JobId -StandardOutput

Write-Host "Hive job in the cluster : $clusterName completed." 