﻿# Declare all the variables and specify their values
$subscriptionName = "Visual Studio Ultimate with MSDN"
$clusterName = "tyhdicluster"

# Query the created external table to find out count
# by grouping on col4
$queryString = "SELECT col4 AS Severity, count(*) AS CountOfOccurence FROM log4jLogs GROUP BY col4 ORDER BY CountOfOccurence  DESC limit 5;"

# Create a Hive job definition for the query
$myHiveJobDefinition = New-AzureHDInsightHiveJobDefinition -Query $queryString

# Submit the job to the cluster for execution asynchronously
Select-AzureSubscription $subscriptionName
Write-Host "Submit the Hive job to the cluster : $clusterName !" 
$myHiveJob = Start-AzureHDInsightJob -Cluster $clusterName -JobDefinition $myHiveJobDefinition

# Wait for the Hive job to complete
Wait-AzureHDInsightJob -Job $myHiveJob -WaitTimeoutInSeconds 3600

# Print the standard error and the standard output of the Hive job.
Get-AzureHDInsightJobOutput -Cluster $clusterName -JobId $myHiveJob.JobId -StandardOutput

Write-Host "Hive job in the cluster : $clusterName completed." 