﻿# Declare all the variables and specify their values
$subscriptionName = "Visual Studio Ultimate with MSDN"
$clusterName = "tyhdicluster"

# Query the created external table to find out count
# by grouping on col4
$queryString = "SELECT col4 AS Severity, count(*) AS CountOfOccurence FROM log4jLogs GROUP BY col4 ORDER BY col4  DESC limit 5;"

# Connect to the cluster
# When using Invoke-Hive cmdlet you must first set the cluster to use
Select-AzureSubscription $subscriptionName
Use-AzureHDInsightCluster $clusterName 

Write-Host "Submit the Hive job to the cluster : $clusterName !" 
# Submit the job to the cluster for execution synchronously
$myHiveJobResponse = Invoke-Hive -Query $queryString 
Write-Host $myHiveJobResponse
Write-Host "Hive job in the cluster : $clusterName completed." 